Bug 73280 - Problem setting XEmacs toolbar to start VM mail reader
Summary: Problem setting XEmacs toolbar to start VM mail reader
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xemacs   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-02 12:16 UTC by David Osborne
Modified: 2015-01-08 00:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-02 12:16:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Osborne 2002-09-02 12:16:51 UTC
Description of Problem:

The "VM" mail package for use within XEmacs is not included
by default in the XEmacs variable
"toolbar-mail-commands-alist", although VM is included in as
part of the XEmacs distribution. This prevents the toolbar
"Mail" button being configured to invoke VM using the documented
method of setting the variable "toolbar-mail-reader".

Version-Release number of selected component (if applicable):
XEmacs 21.4
VM 7.0

How Reproducible:

Execute Emacs-lisp expression
(setq toolbar-mail-reader 'vm)
to set the "toolbar-mail-reader" variable, then click the toolbar
Mail button.

Steps to Reproduce:

1. Add the line
(setq toolbar-mail-reader 'vm)
to ~/.xemacs/init.el

2. Start XEmacs
3. Click the toolbar Mail button

Actual Results:

"Uknown mail reader vm", message in XEmacs modeline.

Expected Results:

VM should be started.

Additional Information:

In the error message, there's a typo in "Uknown".

Comment 1 Trond Eivind Glomsrxd 2002-09-03 19:16:09 UTC
Custimization like this is up to the individual user.


Note You need to log in before you can comment on or make changes to this bug.